.TH SSDPY-DISCOVER "1" "August 2022" "SSDPy"
.SH NAME
ssdpy-discover \- Run an SSDP M-SEARCH
.SH SYNOPSIS
.B ssdpy-discover
[\fIoptions\fR] \fIST\fR
.SH DESCRIPTION
.B ssdpy-discover
discovers SSDP devices on the network by sending an M-SEARCH packet.
.SH OPTIONS
.TP
.I ST
The type of device to search for (example \fBssdp:all\fR).
.TP
.BR \-h ", " \-\-help
Show the program's built-in help message and exit.
.TP
.BR \-V ", " \-\-version
Show the program's version number and exit.
.TP
.BR \-v ", " \-\-verbose
Increase verbosity.
.TP
.BR \-6 ", " \-\-ipv6
Listen on IPv6 instead of IPv4.
.TP
.BR \-t ", " \-\-ttl " " \fITTL\fR
Specify TTL for the M-SEARCH; defaults to \fB2\fR.
.TP
.BR \-o ", " \-\-timeout " " \fItimeout\fR
Specify maximum timeout for connections; defaults to \fB5\fR.
.TP
.BR \-i ", " \-\-iface " " \fIinterface\fR
Listen on a specific network interface.
.TP
.BR \-a ", " \-\-address " " \fIaddress\fR
Bind to a specific address.
.TP
.BR \-p ", " \-\-port " " \fIport\fR
Send M-SEARCH on a specific port; defaults to \fB1900\fR.
.TP
.BR \-m ", " \-\-mx " " \fItime\fR
Specify maximum wait time for response; defaults to \fB1s\fR.
.TP
.BR \-j ", " \-\-json
Format output as JSON.
.SH COPYRIGHT
Copyright \(co 2019\-2020 Moshi Binyamini.
.PP
.br
This is free software; see the source for copying conditions.
There is NO WARRANTY, to the extent permitted by law.
